Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451869 - CPU core temp reported below ambient
Summary: CPU core temp reported below ambient
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 21:12 UTC by Matt Castelein
Modified: 2015-03-05 01:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 21:17:50 UTC


Attachments (Terms of Use)

Description Matt Castelein 2008-06-17 21:12:15 UTC
Description of problem: The temperature reported for the CPU is below ambient,
and the temperatures for core0 and core1 are wildly different, but they are on
the same die.


Version-Release number of selected component (if applicable):
lm_sensors-3.0.1-5.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1.run "sensors"
2.
3.
  
Actual results:
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp:  +30.0°C
Core1 Temp:  +19.0°C


Expected results:
Useful values

Additional info: CPU is a Dual-Core AMD Opteron 1210

Comment 1 Hans de Goede 2008-06-17 21:17:50 UTC
This is to be expected, the on die temperature diode's of AMD's are wildly
inaccurate (the process in which the silicium is processed from raw silicium to
a processor is not optimised to generate a good temperature sensor but to
generate a good processor).

I can send this report to the author of the k8temp driver if you want, but I
expect the answer to be the same (I'm subscribed to the lm_sensors mailing-list
and this is sort of a FAQ).


Comment 2 Matt Castelein 2008-06-18 00:33:02 UTC
Eh, good enough for me.. I would rather have the good processor.


Note You need to log in before you can comment on or make changes to this bug.